package de.intevation.flys.client.client.ui;

public class WaterlevelGroundPanel extends DistancePanel {

    public static final String FIELD_LOWER = "diff_from";
    public static final String FIELD_UPPER = "diff_to";
    public static final String FIELD_STEP  = "diff_diff";


    public WaterlevelGroundPanel() {
        super("left");
    }


    @Override
    protected String getLowerField() {
        return FIELD_LOWER;
    }


    @Override
    protected String getUpperField() {
        return FIELD_UPPER;
    }


    @Override
    protected String getStepField() {
        return FIELD_STEP;
    }


    @Override
    protected String getLabelFrom() {
        return MSG.unitFromInM();
    }


    @Override
    protected String getLabelTo() {
        return MSG.unitToInM();
    }


    @Override
    protected String getLabelStep() {
        return MSG.unitDiffInM();
    }


    @Override
    protected double getDefaultFrom() {
        return 0;
    }


    @Override
    protected double getDefaultTo() {
        return 0;
    }


    @Override
    protected double getDefaultStep() {
        return 0;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
